Summary: Cyrix/IBM 6x86 CPU configuration tool + kernel patches
Name: set6x86
Version: 1.5
Release: 1 
Packager: Rod Cordova <rcordova@ethernet.org>
Source: http://www.tux.org/~balsa/linux/cyrix/set6x86-1.5.tar.gz 
Copyright: GPL 
Group: Utilities/Hardware
BuildRoot: /tmp/set6x86
 
%description 
Allows one to modify the internal configuration registers in
the 6x86 (Classic, L, MX) CPUs. These include special
memory areas (important for e.g. graphics cards), I/O delays,
cache write policy (WB/WT), write-gathering, and an
automatic power-down mode when a HALT instruction is executed.
A utility to display 6x86 registers and model/revision is
included, as well as a short kernel patch that correctly
identifies Cyrix 6x86 CPUs in /proc/cpuinfo.
This RPM includes kernel patches for the Cyrix CPUs.

%prep
%setup 

%build
make all

%install
#if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
strip set6x86
strip 6x86_reg 
install -m755 set6x86 $RPM_BUILD_ROOT/usr/sbin
ln -sf set6x86 $RPM_BUILD_ROOT/usr/sbin/get6x86
install -m755 6x86_reg $RPM_BUILD_ROOT/usr/sbin
install -m755 rc.cyrix $RPM_BUILD_ROOT/etc/rc.d
install -m755 rc.6x86MX $RPM_BUILD_ROOT/etc/rc.d
%clean
rm -rf /tmp/set6x86

%files 
%attr(-, root, root) %doc CHANGES README Doc-6x86.txt  
%attr(-, root, root) %doc kernel-patches/*
%attr(755, root, root) /usr/sbin/set6x86
/usr/sbin/get6x86
%attr(755, root, root) /usr/sbin/6x86_reg
%attr(755, root, root) /etc/rc.d/rc.cyrix
%attr(755, root, root) /etc/rc.d/rc.6x86MX

%post
echo "The Cyrix kernel patches are located in /usr/doc/set6x86-1.5"


